import { jsx as _jsx } from "react/jsx-runtime";
import { useLocation } from 'react-router-dom';
import { Breadcrumbs, Link, Typography } from '@mui/material';
import palette from '../../theme/colors';
import './adminBreadcrumbs-styles.scss';
const BreadcrumbItem = (props) => {
    const { to, label, onClick, labelClassName, linkClassName } = props;
    const location = useLocation();
    const isActive = to === location.pathname;
    return (_jsx(Link, { underline: "none", href: to, onClick: onClick, className: linkClassName, sx: {
            pointerEvents: isActive ? 'none' : 'auto',
        }, children: _jsx(Typography, { variant: "body2", className: `adminBreadcrumbs__label ${labelClassName}`, color: isActive ? palette.primary : palette.textColor, children: label }) }));
};
const AdminBreadcrumbs = (props) => {
    const { items, ...rest } = props;
    return (_jsx(Breadcrumbs, { "aria-label": "breadcrumb", ...rest, children: items.map((item, index) => (_jsx(BreadcrumbItem, { ...item }, index))) }));
};
export default AdminBreadcrumbs;
