import { Delete as DeleteIcon, EditOutlined as EditOutlinedIcon, RemoveRedEyeOutlined as RemoveRedEyeOutlinedIcon, } from '@mui/icons-material';
export var TABLE_ACTIONS_KEYS;
(function (TABLE_ACTIONS_KEYS) {
    TABLE_ACTIONS_KEYS["VIEW"] = "view";
    TABLE_ACTIONS_KEYS["EDIT"] = "edit";
    TABLE_ACTIONS_KEYS["DELETE"] = "delete";
    TABLE_ACTIONS_KEYS["ADD"] = "add";
    TABLE_ACTIONS_KEYS["SEARCH"] = "search";
    TABLE_ACTIONS_KEYS["TOGGLE"] = "toggle";
})(TABLE_ACTIONS_KEYS || (TABLE_ACTIONS_KEYS = {}));
export var TableSortingOrder;
(function (TableSortingOrder) {
    TableSortingOrder["ASC"] = "asc";
    TableSortingOrder["DESC"] = "desc";
})(TableSortingOrder || (TableSortingOrder = {}));
export const DEFAULT_COLUMN = {
    sortable: false,
    headerName: '',
    isVisible: true,
};
export const ROW_PER_PAGE = [5, 10, 20, 50, 100];
export var TableCellType;
(function (TableCellType) {
    TableCellType["ACTIONS"] = "actions";
    TableCellType["DATE"] = "date";
    TableCellType["IMAGE"] = "image";
    TableCellType["TEXT"] = "text";
    TableCellType["CHIP"] = "chip";
    TableCellType["ANIMATED_STATUS"] = "animatedStatus";
    TableCellType["BOOLEAN"] = "boolean";
    TableCellType["DATE_TIME"] = "date_time";
})(TableCellType || (TableCellType = {}));
export const TABLE_ACTIONS = [
    {
        Icon: RemoveRedEyeOutlinedIcon,
        key: TABLE_ACTIONS_KEYS.ADD,
        label: 'ADD',
        showInMenu: false,
    },
    {
        Icon: RemoveRedEyeOutlinedIcon,
        key: TABLE_ACTIONS_KEYS.VIEW,
        label: 'View',
        showInMenu: true,
    },
    {
        Icon: EditOutlinedIcon,
        key: TABLE_ACTIONS_KEYS.EDIT,
        label: 'Edit',
        showInMenu: true,
    },
    {
        Icon: DeleteIcon,
        key: TABLE_ACTIONS_KEYS.DELETE,
        label: 'Delete',
        showInMenu: true,
    },
    {
        Icon: EditOutlinedIcon,
        key: TABLE_ACTIONS_KEYS.TOGGLE,
        label: 'Toggle',
        showInMenu: false,
    },
];
