import { Error as ErrorIcon, GppGood as GppGoodIcon, InfoOutlined as InfoOutlinedIcon, } from '@mui/icons-material';
import palette from '../theme/colors';
export const TOAST_DURATION = 3000;
export var ToastPreset;
(function (ToastPreset) {
    ToastPreset["Error"] = "error";
    ToastPreset["Success"] = "success";
    ToastPreset["Warning"] = "warning";
})(ToastPreset || (ToastPreset = {}));
export var AnchorOrigin;
(function (AnchorOrigin) {
    AnchorOrigin["Bottom"] = "bottom";
    AnchorOrigin["Center"] = "center";
    AnchorOrigin["Left"] = "left";
    AnchorOrigin["Right"] = "right";
    AnchorOrigin["Top"] = "top";
})(AnchorOrigin || (AnchorOrigin = {}));
// TODO:  Change Color and icons for the toast based on the type
export const TOAST_PRESET = {
    [ToastPreset.Success]: {
        backgroundColor: palette.toastSuccessBackground,
        borderColor: palette.toastSuccessBackground,
        icon: GppGoodIcon,
    },
    [ToastPreset.Error]: {
        backgroundColor: palette.error,
        borderColor: palette.error,
        icon: ErrorIcon,
    },
    [ToastPreset.Warning]: {
        backgroundColor: palette.toastWarningBackground,
        borderColor: palette.toastWarningBackground,
        icon: InfoOutlinedIcon,
    },
};
