export interface IApiResponse<T> {
    code: number;
    message: string;
    data?: T;
}
export declare enum HttpVerb {
    GET = "GET",
    POST = "POST",
    PUT = "PUT",
    PATCH = "PATCH",
    DELETE = "DELETE"
}
export declare const makeApiCall: <RequestData, ResponseData, Params = undefined, Data = undefined>(requestVerb: HttpVerb, endpoint: string, requestData?: RequestData, configParam?: {
    params?: any;
    data?: Data;
}, contentType?: string, isTokenRequired?: boolean) => Promise<IApiResponse<ResponseData>>;
